--- a/cmake/ETLBuildClient.cmake
+++ b/cmake/ETLBuildClient.cmake
@@ -58,10 +58,6 @@
 	MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/misc/Info.plist
 )
 
-if((UNIX OR ETL_ARM) AND NOT APPLE AND NOT ANDROID)
-	set_target_properties(etl PROPERTIES SUFFIX "${BIN_SUFFIX}")
-endif()
-
 target_compile_definitions(etl PRIVATE ETL_CLIENT=1)
 
 if(MSVC AND NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/etl.vcxproj.user)
--- a/cmake/ETLBuildServer.cmake
+++ b/cmake/ETLBuildServer.cmake
@@ -16,10 +16,6 @@
 	RUNTIME_OUTPUT_DIRECTORY_RELEASE ""
 )
 
-if((UNIX OR ETL_ARM) AND NOT APPLE AND NOT ANDROID)
-	set_target_properties(etlded PROPERTIES SUFFIX "${BIN_SUFFIX}")
-endif()
-
 if(MSVC AND NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/etlded.vcxproj.user)
 	configure_file(${PROJECT_SOURCE_DIR}/cmake/vs2013.vcxproj.user.in ${CMAKE_CURRENT_BINARY_DIR}/etlded.vcxproj.user @ONLY)
 endif()
--- a/cmake/ETLInstall.cmake
+++ b/cmake/ETLInstall.cmake
@@ -36,7 +36,7 @@
 # other adds
 if(UNIX AND NOT APPLE)
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/misc/com.etlegacy.ETLegacy.desktop.in"
-		       "${CMAKE_CURRENT_BINARY_DIR}/misc/com.etlegacy.ETLegacy${BIN_SUFFIX}.desktop" @ONLY)
+		       "${CMAKE_CURRENT_BINARY_DIR}/misc/com.etlegacy.ETLegacy.desktop" @ONLY)
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/misc/com.etlegacy.ETLegacy.metainfo.xml.in"
 			"${CMAKE_CURRENT_BINARY_DIR}/misc/com.etlegacy.ETLegacy.metainfo.xml" @ONLY)
 	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/misc/etlegacy.service.in"
@@ -45,7 +45,7 @@
 	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/misc/etl.svg"
 		DESTINATION "${INSTALL_DEFAULT_SHAREDIR}/icons/hicolor/scalable/apps"
 	)
-	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/misc/com.etlegacy.ETLegacy${BIN_SUFFIX}.desktop"
+	install(FILES "${CMAKE_CURRENT_BINARY_DIR}/misc/com.etlegacy.ETLegacy.desktop"
 		DESTINATION "${INSTALL_DEFAULT_SHAREDIR}/applications"
 	)
 	install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/misc/etlegacy.xml"
--- a/misc/com.etlegacy.ETLegacy.desktop.in
+++ b/misc/com.etlegacy.ETLegacy.desktop.in
@@ -4,7 +4,7 @@
 GenericName=World War II first-person shooter
 Comment=World War II first-person shooter
 Icon=etl
-Exec=etl@BIN_SUFFIX@ +connect %u
+Exec=etl +connect %u
 Terminal=false
 MimeType=x-scheme-handler/et;
 Categories=Game;ActionGame;
